Report Status

Report status notifications are triggered when a requested report moves to READY status and is available to download.

  • Event Type: REPORT_STATUS
  • Event Trigger: A report requested by a supplier has completed its generation process
  • Event Version : V1
  • Resource Name: REPORTS

When the report status notification event occurs, the supplier will receive the notification payload at the defined destination URL.

Sample Payload 1: Report Status Event

The following is a sample webhook payload for a REPORT_STATUS event:

{ source: { eventType: REPORT_STATUS_SUPPLIER, eventTime: 2025-12-10T07:21:34.473Z, eventId: 03d34580-61d4-11ea-9e23-cd38810ff7cd }, payload: { vendorId: 651263, channelType: f3531b03-4023-46c3-b5a0-e36877fa4b40, requestId: 6da7357b-1c3b-4c1d-9685-ca2931eb96b4, requestStatus: READY, requestSubmissionDate: 2025-12-10T07:08:35.393Z, reportGenerationDate: 2025-12-10T07:21:34.473Z, reportType: DSV } }

Sample Payload 2: Report Status Event - Error

The following is a sample webhook payload for a REPORT_STATUS event in an error state:

{ source: { eventType: REPORT_STATUS_SUPPLIER, eventTime: 2025-12-03T14:12:42.913Z eventId: e435c380-fbe6-11ea-bc39-c314c32822dc }, payload: { vendorId: 651263, channelType: d62e611e-606e-41b9-96cf-38ee37331c47, requestId: f3531b03-4023-46c3-b5a0-e36877fa4b40, requestStatus: ERROR, requestSubmissionDate: 2025-12-10T07:08:35.393Z, reportGenerationDate: 2025-12-10T07:21:34.473Z, reportType: INVENTORY_DSV, errorDescription: Your report request has resulted in error. Please try creating a new request. }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request fields

source
object
required

Contains source information.

payload
object

Request payload object.

Response
200

Successful Operation

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!